
def create_random_user_table(database):
    """
    This function creates a new user table in the given database with random fields.
    """
    # Define the User model with Peewee
    class User(peewee.Model):
        username = peewee.CharField()
        email = peewee.CharField()
        age = peewee.IntegerField()
        is_active = peewee.BooleanField()

        class Meta:
            database = database

    # Create the table if it does not exist
    database.connect()
    database.create_tables([User])
    database.close()

# Peewee library is used here


